Xeonr Developer Docs
API SpecificationFunctions

Get version

POST
/xeonr.functions.v1.FunctionService/GetVersion

Reads one version. A version belonging to another function is not found.

Authorization

BearerAuth
AuthorizationBearer <token>

A team API token, created by a team owner and presented as Authorization: Bearer fnt_…. The secret is shown once at creation and stored only as a hash.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

functionId?string
versionId?string
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://functions.xeonr.io/xeonr.functions.v1.FunctionService/GetVersion" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "version": {
    "versionId": "string",
    "functionId": "string",
    "state": "VERSION_STATE_UNSPECIFIED",
    "snapshotId": "string",
    "environmentId": "string",
    "appId": "string",
    "staticRoot": "string",
    "gitCommit": "string",
    "gitRef": "string",
    "failureMessage": "string",
    "createdAtUnix": 0
  }
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}